Subject: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries

From: Evan Straw <[email-masked]>
Date: Thu, 16 Jan 2020 10:36:51 -0800

Pierre Neidhardt <[email-masked]> writes:

> Konrad Hinsen <[email-masked]> writes:
>
>> Guix' ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction
>> is that this won't change anything.
>
> Maybe ldd (I don't know), but I suggest to run SBCL here.  It should
> work.

Sorry for the late update, but this actually does work! Setting
LD_LIBRARY_PATH to include all the relevant library directories
(/usr/lib/x86_64-linux-gnu, /lib/x86_64-linux-gnu) makes CFFI load the
library perfectly with no issues, and further steps in the CFFI tutorial
work fine too. It was not set by default on my system so I'll add
something to my .profile or related to set that on login.

Thanks to everybody for their help with this!
-- Evan